New Tab is opened from the user's current tab position while holding CTRL in a tab carousel

VERIFIED FIXED in Firefox 64

Status

()

defect
P5
normal
VERIFIED FIXED
9 months ago
8 months ago

People

(Reporter: vlucaci, Assigned: jaws)

Tracking

(Blocks 1 bug)

Trunk
Firefox 65
Desktop
All
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox64 verified, firefox65 verified)

Details

Attachments

(2 attachments)

[Affected versions]:
- 65.0a1 (2018-11-02) 
- 64.0b6
- 63.0a1 (2018-07-05)

[Affected platforms]:
- Windows 10x64
- Ubuntu 16.04
- macOS 10.13.6


[Steps to reproduce]:
1.Launch FF
2.Open multiple tabs and select all of them.
3.While holding down CTRL, open a new tab.

[Expected result]:
-The newly opened tab should open at the end of the tab carousel.

[Actual result]:
-The newly opened tab opens after the tab in which the user is currently on.

[Regression range]:
-This issue is not a regression.
Blocks: 1458007
Priority: -- → P5
Are you saying you expected Ctrl-click on the New Tab button to open the new tab at the end of the selection instead of next to the currently selected (focused) tab?
Flags: needinfo?(vlad.lucaci)
Assignee: nobody → jaws
Status: NEW → ASSIGNED
Hello,

To answer Comment 1:

Yes, I was expecting the new tab to be opened at the end of the selection, instead of the currently selected tab.
Flags: needinfo?(vlad.lucaci)
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/988fd6689153
Open new tabs at the end of a multiselection of tabs if the New Tab button is ctrl-clicked. r=dao
Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=pending%2Crunning%2Csuccess%2Ctestfailed%2Cbusted%2Cexception&searchStr=browser&selectedJob=212301612&revision=988fd6689153a86f6f4410c1d1fe46eaff036afb&group_state=expanded

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=212301612&repo=autoland&lineNumber=4284

Backout link: https://hg.mozilla.org/integration/autoland/rev/65384cee04daf48eb03ddfd0fd6b0ab3cdeaef11

13:12:23     INFO - TEST-PASS | browser/base/content/test/tabs/browser_multiselect_tabs_open_related.js | Tab3 is not multi-selected - 
13:12:23     INFO - Buffered messages finished
13:12:23     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/tabs/browser_multiselect_tabs_open_related.js | New tab should be opened after tab2 when tab1 and tab2 are multiselected - Got [object XULElement], expected [object XULElement]
13:12:23     INFO - Stack trace:
13:12:23     INFO - chrome://mochikit/content/browser-test.js:test_is:1303
13:12:23     INFO - chrome://mochitests/content/browser/browser/base/content/test/tabs/browser_multiselect_tabs_open_related.js:test:28
13:12:23     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1093
13:12:23     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1084
13:12:23     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:982
13:12:23     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
13:12:23     INFO - Not taking screenshot here: see the one that was previously logged
Flags: needinfo?(jaws)
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b42ccd72214c
Open new tabs at the end of a multiselection of tabs if the New Tab button is ctrl-clicked. r=dao
Flags: needinfo?(jaws)
https://hg.mozilla.org/mozilla-central/rev/b42ccd72214c
Status: ASSIGNED → RESOLVED
Closed: 8 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
Comment on attachment 9023770 [details]
Bug 1504277 - Open new tabs at the end of a multiselection of tabs if the New Tab button is ctrl-clicked. r?dao

[Beta/Release Uplift Approval Request]

Feature/Bug causing the regression: multiselect tabs

User impact if declined: If a user selects multiple tabs then tries to open a new tab, the new tab will appear either relative to the selected tab or at the end of the tabstrip. The tab does not appear at the end of the selection if the new tab button is ctrl-clicked (meta-clicked on OSX). The tab should appear at the end of the selection in this case.

Is this code covered by automated tests?: Yes

Has the fix been verified in Nightly?: No

Needs manual test from QE?: No

If yes, steps to reproduce: 

List of other uplifts needed: None

Risk to taking this patch: Medium

Why is the change risky/not risky? (and alternatives if risky): Changes the position of new tabs in the tab strip. Changes are covered by automated tests but new tab opening location if done wrong can be very annoying to users.

String changes made/needed: None
Attachment #9023770 - Flags: approval-mozilla-beta?
Comment on attachment 9023770 [details]
Bug 1504277 - Open new tabs at the end of a multiselection of tabs if the New Tab button is ctrl-clicked. r?dao

tweak for multiselect tabs, approved for 64.0b12
Attachment #9023770 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Hello all,

Confirming as verified fixed on the latest Nightly Nightly 65.0a1(2018-11-22)and the latest Beta 64.0b12.

Verified on Win10 x64, Ubuntu 16.04x64 and macOS 10.12.6.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.